
Katello - Bug #6943

Repo Discovery page, repo validations look ugly

08/05/2014 03:02 PM - Partha Aji

Status: Rejected   

Priority: Normal   

Assignee: Thomas McKay   

Category: Repositories   

Target version:    

Difficulty: medium Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link: 1126986 Red Hat JIRA:  

Pull request:    

Description

1) Goto Content->Products

2) Select Repo Discovery

3) paste https://fedorapeople.org/groups/katello/releases/yum/nightly/ as repo to discover

4) Select a couple of repos

5) Create Selected

6) In the create product page, use an existing product but clear the name of repo and hit submit.

Notice you get an error that looks like {"name":["can't be blank","cannot be blank"]}

Instead  of a nicer "Name cannot be blank" form message.

Related issues:

Related to Katello - Feature #4108: Need to provide better notification when ... Resolved 01/16/2014

Related to Katello - Bug #5015: Repo discovery is poorly formatted Closed 04/01/2014

History

#1 - 08/05/2014 03:03 PM - Partha Aji

- Bugzilla link set to 1126986

#2 - 08/06/2014 07:12 AM - Eric Helms

- Category set to Web UI

- Difficulty set to medium

- Triaged changed from No to Yes

#3 - 08/18/2014 01:49 PM - Eric Helms

- Related to Feature #4108: Need to provide better notification when adding repositories to a product added

#4 - 08/18/2014 02:23 PM - Eric Helms

- Related to Bug #5015: Repo discovery is poorly formatted added

#5 - 12/21/2015 11:47 AM - Eric Helms

- translation missing: en.field_release set to 86

#6 - 02/05/2016 03:18 PM - Bryan Kearney

- Category changed from Web UI to Repositories

#7 - 02/16/2016 09:09 PM - Eric Helms

- translation missing: en.field_release changed from 86 to 114

#8 - 01/26/2017 12:52 PM - Thomas McKay

- Target version set to 155
#9 - 01/26/2017 12:52 PM - Thomas McKay

- Assignee set to Thomas McKay

#10 - 08/28/2019 08:13 PM - John Mitsch

- Status changed from New to Rejected

- Target version deleted (Katello Backlog)

Thanks for reporting this issue. This issue was created over 4 years ago and hasn't seen an update in 1 year. We are closing this in an effort to keep

a realistic backlog. Please open up a new issue that includes a link to this issue if you feel this still needs to be addressed. We can then triage the

new issue and reassess.
